Skip to main content
`Ctrl`+`K`

# PetscHMapObjDuplicate

Duplicate a hash table

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjDuplicate(PetscHMapObj ht, PetscHMapObj *hd)

## Input Parameter

- ht - The source hash table

## Output Parameter

- ht - The duplicated hash table

## See Also

`PetscHMapObjCreate()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages